package com.liquidnet.service.consumer.candy.receiver;

import com.liquidnet.service.base.constant.MQConst;
import org.springframework.stereotype.Component;

@Component
public class ConsumerCandyCouponOrderBackRdsReceiver extends AbstractCouponOrderBackRedisReceiver {
    @Override
    protected String getRedisStreamKey() {
        return MQConst.CandyQueue.COUPON_ORDER_BACK.getKey();
    }

    @Override
    protected String getRedisStreamGroup() {
        return MQConst.CandyQueue.COUPON_ORDER_BACK.getGroup();
    }
}
